Subject: bug#64833: [mumi] mumi send-email does not handle complex refs

From: Arun Isaac <[email-masked]>
Date: Mon, 24 Jul 2023 15:51:24 +0100

`mumi send-email' only works with patch files. For example, `mumi
send-email foo.patch bar.patch'. It would be nice if it could also
handle refs like `mumi send-email HEAD~5'.

Here's one way to achieve this.

1. When passed a ref, `mumi send-email' must run `git format-patch'
internally to produce patch files, preferably in a temporary directory.

2. Then, `mumi send-email' must send those patches as usual and clean up
the temporary directory.